<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/HTML/View/View.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.HTML.View.View</title>
<link href="../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../Synopsis.html" >Synopsis</a>.<a href="../../../Formatters.html" >Formatters</a>.<a href="../../HTML.html" >HTML</a>.<a href="../View.html" >View</a>
</div><div class="class-name">class View

</div><div class="links"><div class="file">File: <a href="../../../../../File/Synopsis/Formatters/HTML/View.py.html" target="detail">../Synopsis/Formatters/HTML/View.py</a></div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.View" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line164" ><img src="../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="View-inheritance" src="View-inheritance.png" hspace="8" vspace="8" border="0" usemap="#View-inheritance_map" />
<map name="View-inheritance_map"></map>
 <div class="doc">Base class for Views. The base class provides a common interface&#44; and
    also handles common operations such as opening the file&#44; and delegating
    the view formatting to a strategy class.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="main">main</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line174" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Class attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="template">template</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line169" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">kwds</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.View.__init__" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line171" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="View.html#register" >register</a></span>(<span class="variable">self</span>, <span class="variable">frame</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.View.register" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line176" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Registers this View class with its frame.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="View.html#filename" >filename</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.View.filename" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line184" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Return the filename &#40;currently&#41; associated with the view.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="View.html#title" >title</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.View.title" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line189" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Return the title &#40;currently&#41; associated with the view.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="View.html#root" >root</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.View.root" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line194" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Return a pair of &#40;url&#44; label&#41; to link to the entry point of this view.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="View.html#write_navigation_bar" >write_navigation_bar</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.View.write_navigation_bar" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line199" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Generate a navigation bar for this view.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="View.html#os" >os</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.View.os" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line204" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="View.html#write" >write</a></span>(<span class="variable">self</span>, <span class="variable">str</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.View.write" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line209" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="View.html#register_filenames" >register_filenames</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.View.register_filenames" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line214" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Register filenames for each file this View will generate.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="View.html#toc" >toc</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.View.toc" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line219" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Retrieves the TOC for this view.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="View.html#process" >process</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.View.process" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line227" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Process the ASG&#44; creating view-specific html pages.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="View.html#open_file" >open_file</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.View.open_file" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line232" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Returns a new output stream.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="View.html#close_file" >close_file</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.View.close_file" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line240" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Closes the internal output stream.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="View.html#start_file" >start_file</a></span>(<span class="variable">self</span>, <span class="variable">body</span> = <span class="value">''</span>, <span class="variable">headextra</span> = <span class="value">''</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.View.start_file" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line247" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Start a new file with given filename&#44; title and body.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="View.html#end_file" >end_file</a></span>(<span class="variable">self</span>, <span class="variable">body</span> = <span class="value">'&lt;/body&gt;'</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.View.end_file" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line263" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Close the file using given close body tag.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="View.html#reference" >reference</a></span>(<span class="variable">self</span>, <span class="variable">name</span>, <span class="variable">scope</span>, <span class="variable">label</span> = <span class="value">None</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">keys</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.View.reference" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line271" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Returns a reference to the given name.</div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="register">register</a>(<span class="variable">self</span>, <span class="variable">frame</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.View.register" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line176" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Registers this View class with its frame.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="filename">filename</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.View.filename" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line184" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Return the filename &#40;currently&#41; associated with the view.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="title">title</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.View.title" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line189" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Return the title &#40;currently&#41; associated with the view.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="root">root</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.View.root" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line194" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Return a pair of &#40;url&#44; label&#41; to link to the entry point of this view.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="write_navigation_bar">write_navigation_bar</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.View.write_navigation_bar" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line199" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Generate a navigation bar for this view.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="os">os</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.View.os" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line204" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Returns the output stream opened with start_file</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="write">write</a>(<span class="variable">self</span>, <span class="variable">str</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.View.write" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line209" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Writes the given string to the currently opened file</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="register_filenames">register_filenames</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.View.register_filenames" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line214" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Register filenames for each file this View will generate.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="toc">toc</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.View.toc" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line219" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Retrieves the TOC for this view. This method assumes that the view
        generates info for the the whole ASG&#44; which could be the Scope&#44;
        the Source &#40;source code&#41; or the XRef &#40;cross reference info&#41;.
        The default implementation returns None.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="process">process</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.View.process" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line227" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Process the ASG&#44; creating view-specific html pages.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="open_file">open_file</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.View.open_file" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line232" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Returns a new output stream. This template method is for internal
        use only&#44; but may be overriden in derived classes.
        The default joins output dir and self.filename&#40;&#41;</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="close_file">close_file</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.View.close_file" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line240" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Closes the internal output stream. This template method is for
        internal use only&#44; but may be overriden in derived classes.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="start_file">start_file</a>(<span class="variable">self</span>, <span class="variable">body</span> = <span class="value">''</span>, <span class="variable">headextra</span> = <span class="value">''</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.View.start_file" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line247" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Start a new file with given filename&#44; title and body. This method
        opens a file for writing&#44; and writes the html header crap at the top.
        You must specify a title&#44; which is prepended with the project name.
        The body argument is optional&#44; and it is preferred to use stylesheets
        for that sort of stuff. You may want to put an onLoad handler in it
        though in which case that's the place to do it. The opened file is
        stored and can be accessed using the os&#40;&#41; method.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="end_file">end_file</a>(<span class="variable">self</span>, <span class="variable">body</span> = <span class="value">'&lt;/body&gt;'</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.View.end_file" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line263" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Close the file using given close body tag. The default is
        just a close body tag&#44; but if you specify '' then nothing will be
        written &#40;useful for a frames view&#41;</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="reference">reference</a>(<span class="variable">self</span>, <span class="variable">name</span>, <span class="variable">scope</span>, <span class="variable">label</span> = <span class="value">None</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">keys</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.View.reference" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line271" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Returns a reference to the given name. The name is a scoped name&#44;
        and the optional label is an alternative name to use as the link text.
        The name is looked up in the TOC so the link may not be local. The
        optional keys are appended as attributes to the A tag.</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:27:01 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
